Package org.apache.sling.event.impl.support

# Class TopicMatcherHelper

java.lang.Object
org.apache.sling.event.impl.support.TopicMatcherHelper

public abstract class TopicMatcherHelper extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TopicMatcher[]`
`MATCH_ALL`

## Constructor Summary

Constructors
Constructor
Description
`TopicMatcherHelper()`

## Method Summary

Modifier and Type
Method
Description
`static TopicMatcher[]`
`buildMatchers(String[] topicsParam)`
Create matchers based on the topic parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MATCH_ALL

public static final TopicMatcher[] MATCH_ALL

## Constructor Details

### TopicMatcherHelper

public TopicMatcherHelper()

## Method Details

### buildMatchers

public static TopicMatcher[] buildMatchers(String[] topicsParam)
Create matchers based on the topic parameters. If the topic parameters do not contain any definition `null` is returned.